Loading...
Searching...
No Matches
Map Struct Reference

Defines an affine transform and its inverse represented as a 3x3 matrix and a vec3 translation. More...

`#include <nanovdb/NanoVDB.h>`

## Public Member Functions

template<typename Mat3T, typename Vec3T>
void | set (const Mat3T &mat, const Mat3T &invMat, const Vec3T &translate, double taper)
| Initialize the member data.
template<typename Mat4T>
void | set (const Mat4T &mat, const Mat4T &invMat, double taper)
| Initialize the member data.
template<typename Vec3T>
void | set (double scale, const Vec3T &translation, double taper)
template<typename Vec3T>
Vec3T | applyMap (const Vec3T &xyz) const
template<typename Vec3T>
Vec3T | applyMapF (const Vec3T &xyz) const
template<typename Vec3T>
Vec3T | applyJacobian (const Vec3T &xyz) const
template<typename Vec3T>
Vec3T | applyJacobianF (const Vec3T &xyz) const
template<typename Vec3T>
Vec3T | applyInverseMap (const Vec3T &xyz) const
template<typename Vec3T>
Vec3T | applyInverseMapF (const Vec3T &xyz) const
template<typename Vec3T>
Vec3T | applyInverseJacobian (const Vec3T &xyz) const
template<typename Vec3T>
Vec3T | applyInverseJacobianF (const Vec3T &xyz) const
template<typename Vec3T>
Vec3T | applyIJT (const Vec3T &xyz) const
template<typename Vec3T>
Vec3T | applyIJTF (const Vec3T &xyz) const

## Public Attributes

float | mMatF [9]
float | mInvMatF [9]
float | mVecF [3]
float | mTaperF
double | mMatD [9]
double | mInvMatD [9]
double | mVecD [3]
double | mTaperD

## Detailed Description

Defines an affine transform and its inverse represented as a 3x3 matrix and a vec3 translation.

## Member Function Documentation

## applyIJT()

template<typename Vec3T>

Vec3T applyIJT | ( | const Vec3T & | xyz | ) | const

inline

## applyIJTF()

template<typename Vec3T>

Vec3T applyIJTF | ( | const Vec3T & | xyz | ) | const

inline

## applyInverseJacobian()

template<typename Vec3T>

Vec3T applyInverseJacobian | ( | const Vec3T & | xyz | ) | const

inline

## applyInverseJacobianF()

template<typename Vec3T>

Vec3T applyInverseJacobianF | ( | const Vec3T & | xyz | ) | const

inline

## applyInverseMap()

template<typename Vec3T>

Vec3T applyInverseMap | ( | const Vec3T & | xyz | ) | const

inline

## applyInverseMapF()

template<typename Vec3T>

Vec3T applyInverseMapF | ( | const Vec3T & | xyz | ) | const

inline

## applyJacobian()

template<typename Vec3T>

Vec3T applyJacobian | ( | const Vec3T & | xyz | ) | const

inline

## applyJacobianF()

template<typename Vec3T>

Vec3T applyJacobianF | ( | const Vec3T & | xyz | ) | const

inline

## applyMap()

template<typename Vec3T>

Vec3T applyMap | ( | const Vec3T & | xyz | ) | const

inline

## applyMapF()

template<typename Vec3T>

Vec3T applyMapF | ( | const Vec3T & | xyz | ) | const

inline

## set() [1/3]

template<typename Mat3T, typename Vec3T>

void set | ( | const Mat3T & | mat,
|  | const Mat3T & | invMat,
|  | const Vec3T & | translate,
|  | double | taper )

inline

Initialize the member data.

## set() [2/3]

template<typename Mat4T>

void set | ( | const Mat4T & | mat,
|  | const Mat4T & | invMat,
|  | double | taper )

inline

Initialize the member data.

Note
  The last (4th) row of invMat is actually ignored.

## set() [3/3]

template<typename Vec3T>

void set | ( | double | scale,
|  | const Vec3T & | translation,
|  | double | taper )

inline

## Member Data Documentation

## mInvMatD

double mInvMatD[9]

## mInvMatF

float mInvMatF[9]

## mMatD

double mMatD[9]

## mMatF

float mMatF[9]

## mTaperD

double mTaperD

## mTaperF

float mTaperF

## mVecD

double mVecD[3]

## mVecF

float mVecF[3]